/*
Theme Name: Loja Compacta 01
Theme URI: https://hugocalixto.com/
Description: Idealizado para atender o catálogo de produtos com Vendas
Author: Hugo Calixto
Author URI: https://hugocalixto.com/
Template: storefront
Version: 1.0
Text Domain: child-loja-01-storefront
*/

.w-100{width:100%!important}
.text-center{text-align:center!important}
.display-4{font-size:3.706325903em;font-weight:300;line-height:1;padding-top:20px;color:#3c4954}
#titleprojeto{margin-top:-20px}
#about{background-color:#eae6e6!important;padding-top:2.5rem!important;padding-bottom:2.5rem!important;text-align:center}
#desc_about{text-align:justify}
.p-30{padding:30px}
.home.blog{margin-bottom:0!important}
.entry-header{text-align:center}

/* parallax */
.parallax{height:450px;background-attachment:fixed;background-position:center;background-repeat:no-repeat;background-size:cover;position:relative;margin-bottom:.01em!important}
div.overlay{width:100%;height:100%;background:rgba(255,255,255,0.2)}

/* Position text in the middle of the page/image */
.hero-text{background-color:rgba(0,0,0,0.4);color:#fff;font-weight:700;border:0 solid #f1f1f1;z-index:2;border-radius:5px;padding:2em;width:70%!important;text-align:center;position:absolute;top:50%;left:50%;transform:translate(-50%,-50%)}
.hero-text h1{color:#fff!important;font-weight:700}
.hero-text:before{content:'';top:0;left:0;position:absolute;border-radius:5px;width:100%;height:100%;background:rgba(255,255,255,0.1);z-index:3;animation:reveal .5s reverse forwards;animation-delay:.5s;transform-origin:left}
.hero-text:after{content:'';top:0;left:0;position:absolute;border-radius:5px;width:100%;height:100%;background:#7E7E81;z-index:2;animation:reveal .7s reverse forwards;animation-delay:.7s;transform-origin:left}
@keyframes reveal {
0%{transform:scaleX(0)}
100%{transform:scaleX(1)}
}
@media screen and (max-width: 767px) {
.hero-text{width:90%!important}
}

/* mapa */
#map{width:100%;height:500px;margin-top:25px;margin-bottom:25px;overflow:hidden}
.leaflet-popup-content{text-align:center!important;text-transform: uppercase;}
/* mapa */

/* formulário contato */
form#contato_huuguu_id input, form#contato_huuguu_id textarea{margin-top:10px;margin-bottom:10px;}
form#pedido_huuguu_id input, form#pedido_huuguu_id textarea, form#pedido_huuguu_id select{margin-top:10px;margin-bottom:10px;}
form#contato_huuguu_id .form-group { margin: 0 auto;}
form#contato_huuguu_id .form-group label,
input[type="text"],input[type="email"] {display:block; width:100%;}
/* formulário contato */

.m-b-0{margin-bottom:0!important}
.border-1{border:1px solid #f1f1f1;margin:2px;padding:5px}
.text-centered{display:inline-block;vertical-align:middle}
.alert{position:relative;padding:.75rem 1.25rem;margin-bottom:1rem;border:1px solid transparent;border-radius:.25rem}
.alert-success{color:#155724;background-color:#d4edda;border-color:#c3e6cb}
.alert-danger{color:#721c24;background-color:#f8d7da;border-color:#f5c6cb}
body.page-id-16 .textwidget,body.page-id-16 #mySidenavright,body.page-id-16 #mySidenavleft{display:none!important}
.about_paypal{display:none!important}
.site-footer{padding-bottom:3.618em!important}
.site-credit{margin:40px}
.footer-widgets{padding-top:1em!important}
span.price{font-size:15px!important}
.widget_price_filter .ui-slider .ui-slider-range{background-color:#ccc}
.widget_price_filter .ui-slider .ui-slider-handle{background-color:#ada}
.handheld-navigation .dropdown-toggle{right:2px}
ul.products li.product{display:flex;flex-direction:column}
.woocommerce ul.products li.product .woocommerce-LoopProduct-link{margin-bottom:auto}
.woocommerce ul.products li.product .woocommerce-LoopProduct-link h2{line-height:2.5ex;height:5.5ex;overflow:hidden}
.storefront-product-section .section-title{padding-top:1em;text-transform:uppercase;font-weight:700}


/* menu footer ul li */
/* social icon follow */
#custom_html-3 ul{padding:0;list-style:none}
.footer-social-icons{width:auto;display:block;margin:0 auto}
ul.social-icons{margin-top:10px}
.social-icons li{vertical-align:top;display:inline;height:100px;}
.social-icons a{height:40px!important;width:40px!important;text-decoration:none;font-size:26px;padding:5px;border-radius:50px;color:#9fa7b9!important}
.social-icons a .fa-facebook{-o-transition:.5s;-ms-transition:.5s;-moz-transition:.5s;-webkit-transition:.5s;transition:.5s;padding:5px}
.social-icons a .fa-facebook:hover{background-color:#3d5b99;color:#fff!important;padding:5px;border-radius:50px}
.social-icons a .fa-twitter{-o-transition:.5s;-ms-transition:.5s;-moz-transition:.5s;-webkit-transition:.5s;transition:.5s;padding:5px}
.social-icons a .fa-twitter:hover{background-color:#00aced;color:#fff!important;padding:5px;border-radius:50px}
.social-icons a .fa-linkedin-in{-o-transition:.5s;-ms-transition:.5s;-moz-transition:.5s;-webkit-transition:.5s;transition:.5s;padding:5px}
.social-icons a .fa-linkedin-in:hover{background-color:#0073a4;color:#fff!important;padding:5px;border-radius:50px}
.social-icons a .fa-instagram{-o-transition:.5s;-ms-transition:.5s;-moz-transition:.5s;-webkit-transition:.5s;transition:.5s;padding:5px}
.social-icons a .fa-instagram:hover{background-color:#3f729b;color:#fff!important;padding:5px;border-radius:50px}
.delayone{-moz-animation-delay:.2s;-webkit-animation-delay:.2s}
.delaytwo{-moz-animation-delay:.4s;-webkit-animation-delay:.4s}
.delaythree{-moz-animation-delay:.6s;-webkit-animation-delay:.6s}
.delayfour{-moz-animation-delay:.8s;-webkit-animation-delay:.8s}
.footer-widgets {border-bottom: 0!important;}
#convenio{display:flex;justify-content: center;margin:0 auto;} 

/* mobile */
@media (max-width: 768px){
.site-header-cart .cart-contents .count {font-size: 0.600em!important;}
.site-branding {    width: calc( 82% - 120px)!important;}
button.menu-toggle{margin-top:10px!important;}
.site-header {margin-bottom: 5px!important;}
#menu-operacional-1{margin-top:15px!important; border-top: 1px solid #f1f1f1!important;}
} 

.storefront-breadcrumb .col-full {padding-bottom:15px; border-bottom: 1px dotted #f3f3f3;}
.storefront-sorting select {padding: .20em .875em; border-color:#f3f3f3}

@media (min-width: 768px) {
.storefront-primary-navigation{border-top: 1px solid #f1f1f1;border-bottom: 1px solid #f1f1f1;}
.woocommerce .related ul.products, .woocommerce .up-sells ul.products {display: flex;}
li.product-category.product {min-height:350px!important;}
ul.products li.product {min-height:450px;}
.storefront-breadcrumb {margin: 0 0 1.706325903em!important;}	
}

/* produtos */
ul.products.columns-4 li.product,ul.products.columns-3 li.product {border: 1px dotted #f3f3f3;}
ul.products.columns-4 li.product:hover .button,ul.products.columns-3 li.product:hover .button{background-color:blue!important;color: #fff;}
ul.products.columns-4 li.product:hover,ul.products.columns-3 li.product:hover {border: 1px solid rgba(3, 115, 180,1); border-radius: 3px;transition: 250ms; box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);}
ul.products li.product .button{margin:10px;}
.added_to_cart {margin:0 10px 10px 10px;}
ul.products li.product .price {font-size: 20px!important;}
ul.products li.product .price span.woocommerce-Price-currencySymbol{font-weight:normal!important; padding-right:4px; font-size: 12px!important;}

/* blocos gutemberg */
.hentry .entry-content a,.wp-block-latest-posts__post-author, .wp-block-latest-posts__post-date {text-align:center!important; padding:0px 15px 0px 15px;}
.hentry .entry-content a { text-decoration: none!important; font-weight:bold!important;}
.wp-block-latest-posts__post-excerpt {text-align:justify; padding:15px 15px 15px 15px; }
.hentry .entry-content .wp-block-latest-posts.is-grid li {border: 1px dotted #f3f3f3;}
.hentry .entry-content .wp-block-latest-posts.is-grid li:hover {border: 1px solid rgba(3, 115, 180,1); border-radius: 3px;transition: 250ms; box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);}